@charset "UTF-8";
@keyframes shake-star {
  0% {
    rotate: -3deg;
    transform: translateY(-0.6rem);
  }
  100% {
    rotate: 3deg;
    transform: translateY(0);
  }
}
@keyframes pulse {
  50% {
    transform: scale(1);
    opacity: 1;
  }
}
i.ico-ai {
  display: block;
  width: 2.4rem;
  aspect-ratio: 1/1;
  padding: 0.2rem;
  background: url() no-repeat center/contain;
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='21' height='20' viewBox='0 0 21 20' fill='none'%3E%3Cpath d='M16.4723 11.2545C16.5741 11.1821 16.7092 11.1821 16.811 11.2545C16.8964 11.3158 16.9561 11.5368 17.0741 11.9784C17.2988 12.8218 17.411 13.2437 17.6196 13.596C17.8675 14.0133 18.2135 14.3626 18.6274 14.6128C18.9764 14.8239 19.3936 14.9376 20.2288 15.1645C20.6669 15.2835 20.8854 15.3427 20.9466 15.4296C21.0178 15.5317 21.0178 15.6684 20.9466 15.7706C20.8854 15.8575 20.6671 15.9172 20.2288 16.0363C19.3937 16.2632 18.9764 16.3763 18.6274 16.5873C18.2135 16.8369 17.8674 17.187 17.6196 17.6042C17.411 17.9565 17.2988 18.3784 17.0741 19.2218C16.9561 19.6633 16.8964 19.8843 16.811 19.9456C16.7092 20.0181 16.5741 20.0181 16.4723 19.9456C16.3869 19.8842 16.3276 19.6631 16.2098 19.2218C15.985 18.3784 15.8722 17.9565 15.6631 17.6042C15.4158 17.187 15.0703 16.8369 14.6564 16.5873C14.3074 16.3762 13.8896 16.2632 13.055 16.0363C12.6167 15.9172 12.3978 15.8575 12.3366 15.7706C12.2649 15.6685 12.2648 15.5317 12.3366 15.4296C12.3978 15.3426 12.6167 15.2836 13.055 15.1645C13.8896 14.9376 14.3074 14.824 14.6564 14.6128C15.0703 14.3626 15.4159 14.0132 15.6631 13.596C15.8722 13.2437 15.985 12.8218 16.2098 11.9784C16.3276 11.5371 16.3869 11.3159 16.4723 11.2545ZM7.2845 2.39418C7.46053 2.26883 7.69559 2.26883 7.87163 2.39418C8.02085 2.50133 8.12326 2.88592 8.32867 3.65428C8.71946 5.12016 8.91521 5.85308 9.27851 6.46569C9.7087 7.19118 10.3107 7.79933 11.0293 8.23362C11.6362 8.60037 12.3624 8.79736 13.8144 9.19186C14.576 9.39921 14.9563 9.50291 15.0625 9.65352C15.1867 9.83127 15.1867 10.0688 15.0625 10.2466C14.9562 10.3978 14.5759 10.5015 13.8144 10.7082C12.3624 11.1034 11.6362 11.3004 11.0293 11.6665C10.3107 12.1014 9.7087 12.7089 9.27851 13.435C8.91522 14.0476 8.71946 14.7805 8.32867 16.2464C8.12326 17.0148 8.02085 17.3994 7.87163 17.5059C7.69561 17.6319 7.46052 17.6319 7.2845 17.5059C7.13465 17.3994 7.03225 17.0148 6.82746 16.2464C6.43604 14.7805 6.24029 14.0476 5.87762 13.435C5.44681 12.7089 4.84547 12.1014 4.1262 11.6665C3.51938 11.3003 2.79316 11.1034 1.34115 10.7082C0.580224 10.5015 0.199276 10.3978 0.0936553 10.2466C-0.0312184 10.0688 -0.0312184 9.83127 0.0936553 9.65352C0.199225 9.50291 0.580137 9.39921 1.34115 9.19186C2.79315 8.79736 3.51938 8.60038 4.1262 8.23362C4.84547 7.79933 5.44681 7.19118 5.87762 6.46569C6.2403 5.85308 6.43604 5.12016 6.82746 3.65428C7.03225 2.88592 7.13465 2.50133 7.2845 2.39418ZM15.325 0.0254976C15.3718 -0.00851938 15.4346 -0.00847902 15.482 0.0254976C15.522 0.0538481 15.5496 0.156362 15.6045 0.362274C15.7094 0.754906 15.762 0.951824 15.8594 1.11632C15.9749 1.31043 16.1359 1.47322 16.3281 1.58982C16.4911 1.68815 16.6856 1.7408 17.0752 1.8467C17.2787 1.90214 17.3811 1.93007 17.4092 1.9704C17.4429 2.01767 17.4429 2.08234 17.4092 2.12961C17.381 2.16988 17.2784 2.19734 17.0752 2.25272C16.6856 2.35862 16.4911 2.41186 16.3281 2.51019C16.1359 2.62679 15.9748 2.7896 15.8594 2.98369C15.7621 3.14815 15.7093 3.34467 15.6045 3.73714C15.5495 3.94326 15.522 4.04615 15.482 4.07451C15.4346 4.10842 15.3717 4.10848 15.325 4.07451C15.285 4.04615 15.2575 3.94326 15.2025 3.73714C15.0977 3.34464 15.045 3.14816 14.9476 2.98369C14.8321 2.78957 14.6712 2.62679 14.4783 2.51019C14.316 2.41187 14.1212 2.35859 13.7324 2.25272C13.5287 2.19739 13.4267 2.16979 13.3984 2.12961C13.3646 2.08234 13.3646 2.01767 13.3984 1.9704C13.4266 1.93016 13.5285 1.90208 13.7324 1.8467C14.1212 1.74085 14.316 1.68813 14.4783 1.58982C14.6712 1.47322 14.8321 1.31046 14.9476 1.11632C15.045 0.95181 15.0976 0.754963 15.2025 0.362274C15.2574 0.156386 15.2851 0.0538814 15.325 0.0254976Z' fill='%231D8DFE'/%3E%3C/svg%3E");
}

.AIchatWrap {
  width: 100%;
  height: 100%;
  background: #F8F8F8;
  position: relative;
  overflow: hidden;
  outline: 1px solid #DDDDDD;
  outline-offset: -1px;
  border-radius: 0.4rem;
  display: flex;
  flex-direction: column;
}
.AIchatWrap .AIchatHead {
  background: #FFFFFF;
  padding: 2rem 3rem;
}
.AIchatWrap .AIchatHead dl {
  display: flex;
  align-items: center;
  gap: 1.6rem;
  flex-wrap: wrap;
}
.AIchatWrap .AIchatHead dl dt, .AIchatWrap .AIchatHead dl dd {
  rotate: -0.03deg;
}
.AIchatWrap .AIchatHead dl dt {
  font-weight: 700;
  color: #333333;
  font-size: max(1.25vw, 2rem);
  align-items: center;
  display: flex;
  gap: 0.6rem;
}
.AIchatWrap .AIchatHead dl dt i {
  transform: scale(0.94);
  animation: pulse 1s ease-in-out infinite;
}
.AIchatWrap .AIchatHead dl dd {
  font-weight: 400;
  color: #777777;
  font-size: max(0.9375vw, 1.6rem);
}
.AIchatWrap .AIchatBody {
  padding: 3rem;
  height: 100%;
  overflow-x: hidden;
  overflow-y: auto;
  background: #F8F8F8;
}
.AIchatWrap .AIchatBody button.clearChat {
  width: 40px;
  aspect-ratio: 1/1;
  border-radius: 100%;
  border: none;
  background: #1988F0 url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='20' height='25' viewBox='0 0 20 25' fill='none'%3E%3Cg clip-path='url(%23clip0_163_853)'%3E%3Cpath d='M19.9652 1.25621C20.0881 0.795477 19.8833 0.338747 19.4573 0.120397C19.017 -0.105965 18.5275 -0.00380138 18.2101 0.380814C18.0975 0.519035 18.0135 0.661263 17.9255 0.821519C16.668 3.09315 15.4106 5.36479 14.1552 7.63642L12.7831 10.1204C11.6404 9.94612 10.215 10.3808 9.49212 11.729C11.1796 12.7787 12.8671 13.8283 14.5607 14.88C14.5873 14.8299 14.6078 14.8059 14.6119 14.7799C14.7307 13.9625 14.8679 13.1432 14.8024 12.3159C14.7696 11.9153 14.6734 11.5567 14.5054 11.2422C16.2707 8.0571 18.034 4.87 19.7952 1.6829C19.8689 1.54868 19.9283 1.40445 19.9672 1.25621H19.9652Z' fill='white'/%3E%3Cpath d='M7.28651 18.1809C6.65165 18.6817 5.99836 19.1565 5.31231 19.5972C4.41122 20.1761 3.46713 20.6829 2.48618 21.1837C3.58591 22.1973 4.80852 22.9886 6.1581 23.5896C7.3377 22.2474 8.29203 20.7891 9.13373 19.2566C9.33033 18.9021 9.65185 18.7919 9.95904 18.9581C10.2642 19.1204 10.342 19.4509 10.1495 19.8015C9.75835 20.5186 9.33852 21.2258 8.88593 21.9089C8.40262 22.644 7.87016 23.3412 7.31722 24.0102C7.36023 24.1144 7.45239 24.1024 7.51792 24.1264C8.84702 24.5872 10.2191 24.8416 11.6158 24.9958C11.8411 25.0218 11.8882 24.9137 11.9435 24.7514C12.5783 22.8464 13.1804 20.9273 13.6985 18.9842C13.6985 18.9782 13.6985 18.9742 13.7026 18.9682L14.0569 17.5619C14.1511 17.1312 14.2249 16.7406 14.3252 16.354C14.3314 16.3279 14.3375 16.3059 14.3395 16.2859L8.63813 12.644C8.33299 12.9225 8.05038 13.1889 7.75753 13.4614H7.75548L6.80729 14.2106C4.71022 15.743 2.47799 17.011 0.00409698 17.8664C0.436208 18.7919 0.991195 19.5912 1.65063 20.3183C3.41798 19.471 5.06861 18.4974 6.57383 17.2895C6.88511 17.0391 7.24145 17.0611 7.45443 17.3295C7.66947 17.596 7.60598 17.9345 7.29265 18.1789L7.28651 18.1809Z' fill='white'/%3E%3C/g%3E%3Cdefs%3E%3CclipPath id='clip0_163_853'%3E%3Crect width='20' height='25' fill='white'/%3E%3C/clipPath%3E%3C/defs%3E%3C/svg%3E") no-repeat 46% 49%/16px;
  text-indent: -9999px;
  position: absolute;
  right: 2rem;
}
.AIchatWrap .AIchatBody button.clearChat:hover {
  background-color: #1879d4;
}
.AIchatWrap .AIchatBody button.clearChat:active {
  background-color: #0f6dc5;
}
.AIchatWrap .AIchatBody > div {
  display: flex;
  flex-direction: column;
  gap: 3rem;
}
.AIchatWrap .AIchatBody .msg {
  color: #333333;
  word-break: break-all;
  text-wrap-style: pretty;
}
.AIchatWrap .AIchatBody .msg.bot {
  font-size: 1.6rem;
}
.AIchatWrap .AIchatBody .msg.bot b {
  font-weight: 600;
}
.AIchatWrap .AIchatBody .msg.bot::before {
  content: "";
  display: block;
  margin-bottom: 1rem;
  width: 1.8rem;
  aspect-ratio: 1/1;
  background: url() no-repeat center/contain;
  padding: 0.2rem;
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='30' height='30' viewBox='0 0 30 30' fill='none'%3E%3Cg clip-path='url(%23clip0_2770_7597)'%3E%3Cpath d='M13.5145 2.655C13.9198 1.14845 14.1225 0.394558 14.4191 0.184457C14.7677 -0.0614855 15.2336 -0.0614855 15.5821 0.184457C15.8775 0.394558 16.0802 1.14845 16.4868 2.655C17.2604 5.52968 17.6473 6.96702 18.3666 8.16831C19.2181 9.59082 20.4095 10.7822 21.832 11.6337C23.0333 12.353 24.4706 12.7399 27.3453 13.5135C28.8531 13.9201 29.6057 14.1228 29.8159 14.4182C30.0618 14.7667 30.0618 15.2327 29.8159 15.5812C29.6057 15.8778 28.8531 16.0805 27.3453 16.4858C24.4706 17.2608 23.0333 17.6476 21.832 18.3656C20.4095 19.2184 19.2181 20.4086 18.3666 21.8323C17.6473 23.0336 17.2604 24.4709 16.4868 27.3456C16.0802 28.8522 15.8775 29.6061 15.5821 29.8149C15.2336 30.0621 14.7677 30.0621 14.4191 29.8149C14.1225 29.6061 13.9198 28.8522 13.5145 27.3456C12.7396 24.4709 12.3527 23.0336 11.6347 21.8323C10.7819 20.4086 9.59174 19.2184 8.168 18.3656C6.96671 17.6476 5.52937 17.2608 2.65469 16.4858C1.14814 16.0805 0.394249 15.8778 0.185384 15.5812C-0.0617945 15.2327 -0.0617945 14.7667 0.185384 14.4182C0.394249 14.1228 1.14814 13.9201 2.65469 13.5135C5.52937 12.7399 6.96671 12.353 8.168 11.6337C9.59174 10.7822 10.7819 9.59082 11.6347 8.16831C12.3527 6.96702 12.7396 5.52968 13.5145 2.655Z' fill='%231D8DFE'/%3E%3C/g%3E%3Cdefs%3E%3CclipPath id='clip0_2770_7597'%3E%3Crect width='30' height='30' fill='white'/%3E%3C/clipPath%3E%3C/defs%3E%3C/svg%3E");
  animation: shake-star 500ms ease-in-out infinite 500ms alternate-reverse;
}
.AIchatWrap .AIchatBody .msg.user {
  width: fit-content;
  margin-left: auto;
  align-items: flex-end;
  background: #FFFFFF;
  font-size: 1.6rem;
  padding: 1.4rem 2rem;
  text-align: left;
  max-width: 86%;
  border-radius: 2rem 0 2rem 2rem;
  box-shadow: -1px 1px 12px -11px #1988F0;
}
.AIchatWrap .AIchatBody .msg b {
  font-weight: 700;
  color: #1988F0;
}
.AIchatWrap .AIchatBody .msg strong {
  font-weight: 700;
  color: #333333;
}
.AIchatWrap .AIchatBody .msg em, .AIchatWrap .AIchatBody .msg i {
  font-style: italic;
}
.AIchatWrap .AIchatBody .msg p {
  word-break: keep-all;
}
.AIchatWrap .AIchatBody .msg h1 {
  font-size: max(1.77083vw, 2.4rem);
  font-weight: 700;
}
.AIchatWrap .AIchatBody .msg h2 {
  font-size: max(1.4583vw, 2.2rem);
  font-weight: 700;
}
.AIchatWrap .AIchatBody .msg h3 {
  font-size: max(1.25vw, 2rem);
  font-weight: 700;
}
.AIchatWrap .AIchatBody .msg h4 {
  font-size: max(1.04167vw, 1.8rem);
  font-weight: 700;
}
.AIchatWrap .AIchatBody .msg h5 {
  font-size: max(0.9375vw, 1.6rem);
  font-weight: 700;
}
.AIchatWrap .AIchatBody .msg h6 {
  font-size: 1.6rem;
  font-weight: 700;
}
.AIchatWrap .AIchatBody .msg ol, .AIchatWrap .AIchatBody .msg ul {
  margin-bottom: 2rem;
}
.AIchatWrap .AIchatBody .msg ol li {
  list-style-position: inside;
  list-style-type: decimal;
}
.AIchatWrap .AIchatBody .msg ul li {
  list-style-position: inside;
  list-style-type: disc;
}
.AIchatWrap .AIchatBody .msg li > p {
  display: inline;
}
.AIchatWrap .AIchatForm {
  flex-shrink: 0;
}
.AIchatWrap .AIchatForm .chatLoading {
  padding: 0 3rem;
  display: none;
  align-items: center;
  gap: 0.6rem;
}
.AIchatWrap .AIchatForm .chatLoading .dots {
  display: inline-flex;
  gap: 0.3rem;
}
.AIchatWrap .AIchatForm .chatLoading .dots span {
  display: block;
  width: 0.6rem;
  aspect-ratio: 1/1;
  border-radius: 50%;
  transform: scale(0.2);
  background: #1988F0;
  opacity: 0.2;
  animation: pulse 2s ease-in-out infinite;
}
.AIchatWrap .AIchatForm .chatLoading .dots span:nth-child(2) {
  animation-delay: 0.2s;
}
.AIchatWrap .AIchatForm .chatLoading .dots span:nth-child(3) {
  animation-delay: 0.5s;
}
.AIchatWrap .AIchatForm .chatLoading > p {
  color: #333333;
}
.AIchatWrap .AIchatForm .chatForm {
  padding: 2rem 3rem;
  width: 100%;
  display: flex;
  align-items: center;
  background: #F8F8F8;
}
.AIchatWrap .AIchatForm .chatForm .chatInput {
  position: relative;
  width: 100%;
  display: flex;
  align-items: center;
  gap: 1rem;
}
.AIchatWrap .AIchatForm .chatForm .chatInput input.chatText {
  border-radius: 100rem;
  padding-left: 3.2rem;
}
.AIchatWrap .AIchatForm .chatForm .chatInput .chatFile {
  width: 3rem;
  aspect-ratio: 1/1;
  border-radius: 3rem;
  cursor: pointer;
  position: absolute;
  display: block;
  left: 1.2rem;
  background: #DDDDDD url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='13' height='13' viewBox='0 0 13 13' fill='none'%3E%3Cpath d='M12.2997 5.14672C12.1988 5.04577 12.0618 4.98907 11.919 4.98907C11.7763 4.98907 11.6393 5.04577 11.5383 5.14672L5.67342 11.037C5.42342 11.287 5.12662 11.4853 4.79996 11.6207C4.47331 11.756 4.12319 11.8257 3.76961 11.8257C3.05553 11.8257 2.37066 11.5421 1.86569 11.0372C1.36072 10.5323 1.077 9.8475 1.07695 9.13341C1.0769 8.41932 1.36052 7.73446 1.86542 7.22949L7.54565 1.5261C7.84939 1.2272 8.25894 1.06043 8.68509 1.06211C9.11123 1.0638 9.51945 1.2338 9.82081 1.5351C10.1222 1.8364 10.2923 2.24457 10.2941 2.67072C10.2959 3.09686 10.1292 3.50645 9.83035 3.81026L4.15012 9.51364C4.04767 9.61178 3.91129 9.66657 3.76942 9.66657C3.62756 9.66657 3.49117 9.61178 3.38873 9.51364C3.28778 9.41267 3.23108 9.27573 3.23108 9.13295C3.23108 8.99017 3.28778 8.85323 3.38873 8.75226L8.44596 3.67187C8.54405 3.57032 8.59832 3.4343 8.59709 3.29312C8.59587 3.15194 8.53924 3.01688 8.4394 2.91705C8.33957 2.81721 8.20451 2.76058 8.06333 2.75936C7.92215 2.75813 7.78613 2.8124 7.68458 2.91049L2.62735 7.99087C2.47731 8.14088 2.3583 8.31897 2.2771 8.51498C2.19591 8.71098 2.15411 8.92106 2.15411 9.13322C2.15411 9.34538 2.19591 9.55546 2.2771 9.75146C2.3583 9.94747 2.47731 10.1256 2.62735 10.2756C2.93514 10.5693 3.34424 10.7332 3.76969 10.7332C4.19514 10.7332 4.60424 10.5693 4.91204 10.2756L10.5917 4.57164C11.086 4.06458 11.3607 3.38318 11.3561 2.67506C11.3516 1.96694 11.0683 1.28912 10.5675 0.788424C10.0667 0.287733 9.38887 0.00448982 8.68074 5.29186e-05C7.97262 -0.00438398 7.29127 0.270342 6.78427 0.764719L1.10404 6.4681C0.397134 7.17501 -1.05337e-08 8.13378 0 9.13349C1.05337e-08 10.1332 0.397134 11.092 1.10404 11.7989C1.81094 12.5058 2.76971 12.9029 3.76942 12.9029C4.76914 12.9029 5.7279 12.5058 6.43481 11.7989L12.2997 5.91026C12.35 5.86022 12.39 5.80073 12.4172 5.73522C12.4444 5.6697 12.4585 5.59944 12.4585 5.52849C12.4585 5.45753 12.4444 5.38728 12.4172 5.32176C12.39 5.25624 12.35 5.19676 12.2997 5.14672V5.14672Z' fill='%23333333'/%3E%3C/svg%3E") no-repeat center/50%;
}
.AIchatWrap .AIchatForm .chatForm .chatInput button {
  display: block;
  background: linear-gradient(#1988F0, #1deedc);
  width: 5rem;
  aspect-ratio: 1/1;
  line-height: 1;
  flex-shrink: 0;
  font-weight: 500;
  color: #333333;
  font-size: max(0.729167vw, 1.2rem);
  border-radius: 10rem;
}
.AIchatWrap .AIchatForm .chatForm .chatInput button::after {
  content: "";
  display: block;
  width: 100%;
  height: 100%;
  background: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none'%3E%3Cpath d='M11.4283 0C17.7394 0.000517595 22.8566 5.11774 22.8566 11.4297C22.8564 14.1796 21.8839 16.7025 20.2657 18.6745L23.6709 22.0801C24.1095 22.5195 24.1099 23.2318 23.6709 23.6709C23.2319 24.11 22.5197 24.1095 22.0804 23.6709L18.6752 20.2653C16.7029 21.8852 14.1794 22.8592 11.4283 22.8594C5.11711 22.8594 0.000517582 17.7415 0 11.4297C0 5.11742 5.11679 0 11.4283 0ZM11.4283 2.2499C6.35923 2.2499 2.24963 6.36001 2.24963 11.4297C2.25015 16.4989 6.35955 20.6095 11.4283 20.6095C16.4966 20.609 20.6064 16.4986 20.607 11.4297C20.607 6.36032 16.4969 2.25042 11.4283 2.2499Z' fill='%23ffffff'/%3E%3C/svg%3E") no-repeat center/44%;
}

.image-preview-area {
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
  margin-bottom: 10px;
  min-height: 50px;
  background: #f9f9f9;
  border-radius: 5px;
  position: absolute;
  bottom: 0;
  transform: translateY(-100%);
}

/* 드래그 중일 때 입력창 테두리 강조 */
.drag-ing {
  position: relative;
}
.drag-ing::after {
  content: "";
  width: 100%;
  height: 100%;
  background: url() no-repeat center center/36%;
  background-color: rgba(0, 0, 0, 0.6705882353);
  backdrop-filter: blur(3px);
  background-image: url("data:image/svg+xml,%3C%3Fxml version='1.0' encoding='UTF-8'%3F%3E%3Csvg id='Layer_1' data-name='Layer 1' xmlns='http://www.w3.org/2000/svg' viewBox='0 0 998.47 1000.17'%3E%3Cdefs%3E%3Cstyle%3E .cls-1 %7B fill: %23fff; %7D %3C/style%3E%3C/defs%3E%3Cg%3E%3Cpath class='cls-1' d='M158.18,878.89c4.32,0,12.95-.81,23.47-.81,24.82,0,38.72,8.77,38.72,45.33s-13.76,45.2-38.72,45.2c-10.39,0-19.16-.94-23.47-.94v-88.77ZM201.09,923.41c0-21.05-5.26-30.63-17.81-30.63-1.89,0-4.18.14-6.34.27v60.71c1.89.14,4.18.14,6.48.14,12.41,0,17.67-10.25,17.67-30.49Z'/%3E%3Cpath class='cls-1' d='M255.13,967.66h-18.08v-69.35h16.05l.94,9.31h.14c2.97-6.34,8.9-10.93,14.97-10.93,2.7,0,4.45.94,5.26,1.21l-1.35,16.05c-1.62-.4-4.59-1.48-7.29-1.48-3.51,0-6.21,2.02-10.66,7.42v47.76Z'/%3E%3Cpath class='cls-1' d='M318.62,960.1c-1.62,1.75-6.34,9.17-17.27,9.17-10.12,0-18.48-6.34-18.48-20.91,0-17.13,10.79-23.88,32.24-23.88l3.1.27v-1.62c0-11.2-4.86-12.68-11.6-12.68-6.07,0-13.22,1.75-16.86,2.97l-2.02-12.41c4.18-1.48,13.09-4.18,21.99-4.18,18.35,0,26.58,8.63,26.58,26.85v43.98h-16.73c-.27-2.56-.54-4.99-.94-7.55ZM318.22,950.26v-15.25c-1.21,0-2.43,0-3.64-.13-10.12,0-14.17,2.83-14.17,11.33,0,6.21,2.43,9.85,7.82,9.85,5.67,0,8.63-3.91,9.98-5.8Z'/%3E%3Cpath class='cls-1' d='M393.31,907.76c.54-3.1.94-6.34,1.35-9.44h15.38v75.01c0,17.94-8.09,26.85-25.9,26.85-9.71,0-18.35-2.7-22.53-4.18l2.02-12.41c3.64,1.21,10.66,2.97,17.27,2.97s11.2-1.62,11.2-12.68v-13.9h-.13c-3.51,4.18-10.12,9.31-18.62,9.31-12.14,0-21.72-10.66-21.72-33.86,0-25.36,11.33-37.91,24.15-37.91,7.82,0,12.55,4.05,17.54,10.25ZM391.96,946.75v-27.52c-4.86-5.26-7.55-6.75-11.47-6.75-8.5,0-9.98,7.29-9.98,21.18,0,15.25,3.78,20.24,9.85,20.24,5.4,0,9.58-4.05,11.6-7.15Z'/%3E%3Cpath class='cls-1' d='M513.06,967.66l-5.67-6.48c-5.94,4.99-12.68,7.96-23.74,7.96-15.92,0-28.74-8.36-28.74-27.39,0-12.14,6.75-20.37,16.59-25.23-5.13-5.4-9.17-11.33-9.17-19.7,0-13.63,9.44-20.78,24.69-20.78s24.28,6.61,24.28,19.43c0,11.87-6.88,19.43-16.86,24.96l14.44,16.32c2.29-3.1,4.18-9.71,4.32-13.63h17.81c-.81,10.39-5.8,20.91-10.39,26.17l16.59,18.35h-24.15ZM482.03,927.86c-4.72,2.29-7.02,7.15-7.02,12.55,0,8.23,4.32,14.3,11.2,14.3,3.91,0,8.09-1.75,10.12-5.13l-14.3-21.72ZM486.89,889.95c-2.83,0-5.4,1.62-5.4,7.15,0,3.37-.14,6.34,2.97,9.85l1.89,2.16c3.1-2.16,6.88-6.34,6.88-11.6,0-3.37-1.48-7.56-6.34-7.56Z'/%3E%3Cpath class='cls-1' d='M581.41,878.89c4.32,0,12.95-.81,23.47-.81,24.82,0,38.72,8.77,38.72,45.33s-13.76,45.2-38.72,45.2c-10.39,0-19.16-.94-23.47-.94v-88.77ZM624.31,923.41c0-21.05-5.26-30.63-17.81-30.63-1.89,0-4.18.14-6.34.27v60.71c1.89.14,4.18.14,6.48.14,12.41,0,17.67-10.25,17.67-30.49Z'/%3E%3Cpath class='cls-1' d='M678.36,967.66h-18.08v-69.35h16.05l.94,9.31h.14c2.97-6.34,8.9-10.93,14.97-10.93,2.7,0,4.45.94,5.26,1.21l-1.35,16.05c-1.62-.4-4.59-1.48-7.29-1.48-3.51,0-6.21,2.02-10.66,7.42v47.76Z'/%3E%3Cpath class='cls-1' d='M736.45,969.28c-18.08,0-29.68-10.12-29.68-36.29s11.6-36.16,29.68-36.16,29.82,10.12,29.82,36.16-11.87,36.29-29.82,36.29ZM736.45,910.19c-7.56,0-10.93,6.61-10.93,22.8s3.37,22.93,10.93,22.93,10.93-6.75,10.93-22.93-3.37-22.8-10.93-22.8Z'/%3E%3Cpath class='cls-1' d='M781.86,898.31h16.86l.81,9.17h.27c2.43-3.64,9.04-10.66,18.48-10.66,12.14,0,21.99,10.93,21.99,35.21,0,25.5-11.6,37.24-26.58,37.24-4.86,0-9.58-.94-13.76-2.7v31.97h-18.08v-100.24ZM800.08,919.9v34.54c2.29,1.08,5.13,1.75,7.96,1.75,9.04,0,13.49-6.34,13.49-22.66s-3.64-21.32-10.66-21.32c-4.72,0-9.31,5.13-10.79,7.69Z'/%3E%3C/g%3E%3Cg%3E%3Cpath class='cls-1' d='M609.91,726.17h-61.87c-4.97,0-9-4.03-9-9s4.03-9,9-9h43.87V254.05H18v454.11h361.63c4.97,0,9,4.03,9,9s-4.03,9-9,9H0V236.05h609.91v490.11Z'/%3E%3Cg%3E%3Cpath class='cls-1' d='M462.93,379.11H146.98c-4.97,0-9-4.03-9-9s4.03-9,9-9h315.95c4.97,0,9,4.03,9,9s-4.03,9-9,9Z'/%3E%3Cpath class='cls-1' d='M462.93,489.97h-161.5c-4.97,0-9-4.03-9-9s4.03-9,9-9h161.5c4.97,0,9,4.03,9,9s-4.03,9-9,9Z'/%3E%3Cpath class='cls-1' d='M242.54,489.97h-95.56c-4.97,0-9-4.03-9-9s4.03-9,9-9h95.56c4.97,0,9,4.03,9,9s-4.03,9-9,9Z'/%3E%3Cpath class='cls-1' d='M355.31,601.1h-208.32c-4.97,0-9-4.03-9-9s4.03-9,9-9h208.32c4.97,0,9,4.03,9,9s-4.03,9-9,9Z'/%3E%3C/g%3E%3Cg%3E%3Cpath class='cls-1' d='M827.66,143.06h-40.13c-4.97,0-9-4.03-9-9s4.03-9,9-9h40.13c4.97,0,9,4.03,9,9s-4.03,9-9,9ZM745.53,143.06h-42c-4.97,0-9-4.03-9-9s4.03-9,9-9h42c4.97,0,9,4.03,9,9s-4.03,9-9,9ZM661.53,143.06h-42c-4.97,0-9-4.03-9-9s4.03-9,9-9h42c4.97,0,9,4.03,9,9s-4.03,9-9,9ZM577.53,143.06h-42c-4.97,0-9-4.03-9-9s4.03-9,9-9h42c4.97,0,9,4.03,9,9s-4.03,9-9,9Z'/%3E%3Cpath class='cls-1' d='M827.66,254.05h-9.48c-4.97-.01-9-4.04-8.99-9.01,0-4.97,4.03-8.99,9-8.99h9.48c4.97.01,9,4.04,8.99,9.01,0,4.97-4.03,8.99-9,8.99ZM776.19,254.02h0l-42-.03c-4.97,0-9-4.04-8.99-9.01,0-4.97,4.03-8.99,9-8.99h0l42,.03c4.97,0,9,4.04,8.99,9.01,0,4.97-4.03,8.99-9,8.99ZM692.19,253.95h0l-42-.03c-4.97,0-9-4.04-8.99-9.01,0-4.97,4.03-8.99,9-8.99h0l42,.03c4.97,0,9,4.04,8.99,9.01,0,4.97-4.03,8.99-9,8.99Z'/%3E%3Cpath class='cls-1' d='M774.02,365.05h-42c-4.97,0-9-4.03-9-9s4.03-9,9-9h42c4.97,0,9,4.03,9,9s-4.03,9-9,9ZM690.02,365.05h-42c-4.97,0-9-4.03-9-9s4.03-9,9-9h42c4.97,0,9,4.03,9,9s-4.03,9-9,9Z'/%3E%3C/g%3E%3Cg%3E%3Cpath class='cls-1' d='M417.88,674.02l103.13,15.6-87.53,87.52-15.61-103.13Z'/%3E%3Cpath class='cls-1' d='M437.63,727.26l33.49-33.49,71.64,71.63-33.49,33.49-71.63-71.63Z'/%3E%3C/g%3E%3Cpath class='cls-1' d='M978.4,490.11h-42c-4.97,0-9-4.03-9-9s4.03-9,9-9h42c4.97,0,9,4.03,9,9s-4.03,9-9,9ZM894.4,490.11h-42c-4.97,0-9-4.03-9-9s4.03-9,9-9h42c4.97,0,9,4.03,9,9s-4.03,9-9,9ZM810.4,490.11h-42c-4.97,0-9-4.03-9-9s4.03-9,9-9h42c4.97,0,9,4.03,9,9s-4.03,9-9,9ZM726.4,490.11h-42c-4.97,0-9-4.03-9-9s4.03-9,9-9h42c4.97,0,9,4.03,9,9s-4.03,9-9,9ZM989.47,459.17c-4.97,0-9-4.03-9-9v-42c0-4.97,4.03-9,9-9s9,4.03,9,9v42c0,4.97-4.03,9-9,9ZM989.47,375.17c-4.97,0-9-4.03-9-9v-42c0-4.97,4.03-9,9-9s9,4.03,9,9v42c0,4.97-4.03,9-9,9ZM989.47,291.17c-4.97,0-9-4.03-9-9v-42c0-4.97,4.03-9,9-9s9,4.03,9,9v42c0,4.97-4.03,9-9,9ZM989.47,207.17c-4.97,0-9-4.03-9-9v-42c0-4.97,4.03-9,9-9s9,4.03,9,9v42c0,4.97-4.03,9-9,9ZM397.55,202.91c-4.97,0-9-4.03-9-9v-42c0-4.97,4.03-9,9-9s9,4.03,9,9v42c0,4.97-4.03,9-9,9ZM989.47,123.17c-4.97,0-9-4.03-9-9v-42c0-4.97,4.03-9,9-9s9,4.03,9,9v42c0,4.97-4.03,9-9,9ZM397.55,118.91c-4.97,0-9-4.03-9-9v-42c0-4.97,4.03-9,9-9s9,4.03,9,9v42c0,4.97-4.03,9-9,9ZM989.47,39.17c-4.97,0-9-4.03-9-9v-12.17h-11.83c-4.97,0-9-4.03-9-9s4.03-9,9-9h29.83v30.17c0,4.97-4.03,9-9,9ZM397.55,34.91c-4.97,0-9-4.03-9-9V0h34.09c4.97,0,9,4.03,9,9s-4.03,9-9,9h-16.09v7.91c0,4.97-4.03,9-9,9ZM926.64,18h-42c-4.97,0-9-4.03-9-9s4.03-9,9-9h42c4.97,0,9,4.03,9,9s-4.03,9-9,9ZM842.64,18h-42c-4.97,0-9-4.03-9-9s4.03-9,9-9h42c4.97,0,9,4.03,9,9s-4.03,9-9,9ZM758.64,18h-42c-4.97,0-9-4.03-9-9s4.03-9,9-9h42c4.97,0,9,4.03,9,9s-4.03,9-9,9ZM674.64,18h-42c-4.97,0-9-4.03-9-9s4.03-9,9-9h42c4.97,0,9,4.03,9,9s-4.03,9-9,9ZM590.64,18h-42c-4.97,0-9-4.03-9-9s4.03-9,9-9h42c4.97,0,9,4.03,9,9s-4.03,9-9,9ZM506.64,18h-42c-4.97,0-9-4.03-9-9s4.03-9,9-9h42c4.97,0,9,4.03,9,9s-4.03,9-9,9Z'/%3E%3C/g%3E%3C/svg%3E");
  position: absolute;
  z-index: 4;
  left: 0;
  top: 0;
  pointer-events: none;
}

.chatInput.drag-active {
  transition: all 0.2s ease;
}

.image-preview-area {
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
  margin-bottom: 10px;
  min-height: 50px;
  background: #f9f9f9;
  border-radius: 5px;
}

.preview-item {
  position: relative;
  width: 80px; /* 반드시 고정 크기 지정 */
  height: 80px; /* 반드시 고정 크기 지정 */
  border: 1px solid #ddd;
  border-radius: 4px;
  background: #fff;
}

.preview-item img {
  width: 100%;
  height: 100%;
  object-fit: cover; /* 이미지가 박스에 꽉 차게 */
  display: block; /* 인라인 요소 공백 제거 */
}

.preview-item .remove-btn {
  position: absolute;
  top: 2px;
  right: 2px;
  background-color: rgba(0, 0, 0, 0.6);
  color: white;
  border: none;
  border-radius: 50%;
  width: 20px;
  height: 20px;
  font-size: 12px;
  cursor: pointer;
  display: flex;
  justify-content: center;
  align-items: center;
  line-height: 1; /* 텍스트 세로 중앙 정렬 */
  padding: 0;
}

.preview-item .remove-btn:hover {
  background-color: rgba(0, 0, 0, 0.8);
}

.SChatBot {
  width: 8rem;
  height: 8rem;
  position: fixed;
  right: 4rem;
  bottom: 5rem;
  border-radius: 100%;
  z-index: 999;
}
.SChatBot .chatLoading {
  display: flex;
  align-items: center;
  gap: 0.6rem;
}
.SChatBot .chatLoading .dots {
  padding: 0.6rem 0;
  display: inline-flex;
  gap: 0.3rem;
}
.SChatBot .chatLoading .dots span {
  display: block;
  width: 0.8rem;
  aspect-ratio: 1/1;
  border-radius: 50%;
  transform: scale(0.2);
  background: #4C81FF;
  opacity: 0.2;
  animation: pulse 2s ease-in-out infinite;
}
.SChatBot .chatLoading .dots span:nth-child(2) {
  animation-delay: 0.2s;
}
.SChatBot .chatLoading .dots span:nth-child(3) {
  animation-delay: 0.5s;
}
.SChatBot .chatLoading > p {
  color: #333333;
}
.SChatBot .SchatBtn {
  width: 100%;
  height: 100%;
  border-radius: 100rem;
  z-index: 4;
  position: relative;
  object-fit: cover;
  overflow: hidden;
  border-radius: 100px;
  background: radial-gradient(252.89% 136.38% at -11.56% 13.13%, #D2F7FF 0%, #FFE865 100%);
}
.SChatBot .SchatBtn .labeling {
  position: relative;
  z-index: 2;
  color: #fff;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100%;
  gap: 0.7rem;
  opacity: 1;
  flex-direction: column;
  background: url("/resources/ai/img/ai_bot.png") no-repeat 50% -100%/110%;
}
.SChatBot .SchatBtn img {
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  opacity: 0.5;
  isolation: isolate;
  z-index: -1px;
  object-fit: cover;
}
.SChatBot:has(.bot_hidden.on) .SchatBtn {
  background: #FFFFFF url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='14' height='14' viewBox='0 0 14 14' fill='none'%3E%3Cpath d='M12.2929 0.292893C12.6834 -0.0976311 13.3164 -0.0976311 13.707 0.292893C14.0975 0.683418 14.0975 1.31643 13.707 1.70696L8.41399 6.99992L13.707 12.2929C14.0975 12.6834 14.0975 13.3164 13.707 13.707C13.3164 14.0975 12.6834 14.0975 12.2929 13.707L6.99992 8.41399L1.70696 13.707C1.31643 14.0975 0.683418 14.0975 0.292893 13.707C-0.0976311 13.3164 -0.0976311 12.6834 0.292893 12.2929L5.58586 6.99992L0.292893 1.70696C-0.0976309 1.31643 -0.0976309 0.683417 0.292893 0.292893C0.683417 -0.097631 1.31643 -0.0976309 1.70696 0.292893L6.99992 5.58586L12.2929 0.292893Z' fill='black'/%3E%3C/svg%3E") no-repeat center center/2rem;
  border: 1px solid #DDDDDD;
}
.SChatBot:has(.bot_hidden.on) .SchatBtn .labeling {
  opacity: 0;
}
.SChatBot *::-webkit-scrollbar-thumb {
  background: #4C81FF;
  border-right: 2px solid #F0F0F0;
}
.SChatBot *::-webkit-scrollbar-thumb:hover {
  background: rgb(25, 93.1005586592, 255);
}
.SChatBot .bot_hidden {
  display: flex;
  flex-direction: column;
  width: 100%;
  max-width: 48rem;
  border-radius: 0.8rem;
  height: calc(100vh - 24rem);
  position: fixed;
  overflow: auto;
  right: 2%;
  bottom: 12rem;
  font-size: 1.6rem;
  background: #ECF2FF;
  outline: 2px solid #4281FF;
  opacity: 0;
  pointer-events: none;
  transition: all 500ms ease;
}
.SChatBot .bot_hidden.on {
  opacity: 1;
  pointer-events: unset;
  bottom: 15rem;
}
.SChatBot .bot_hidden .sChatHead {
  background: #4281FF;
  padding: 1.6rem 2rem;
  display: flex;
  align-items: center;
}
.SChatBot .bot_hidden .sChatHead p {
  color: #FFFFFF;
  font-size: max(1.04167vw, 1.8rem);
  font-weight: 500;
  letter-spacing: 0.02rem;
  font-family: "Paperlogy", sans-serif;
  width: 100%;
}
.SChatBot .bot_hidden .sChatHead button {
  flex-shrink: 0;
  width: 4rem;
  height: 4rem;
  display: block;
  background: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='14' height='14' viewBox='0 0 14 14' fill='none'%3E%3Cpath d='M12.2929 0.292893C12.6834 -0.0976311 13.3164 -0.0976311 13.707 0.292893C14.0975 0.683418 14.0975 1.31643 13.707 1.70696L8.41399 6.99992L13.707 12.2929C14.0975 12.6834 14.0975 13.3164 13.707 13.707C13.3164 14.0975 12.6834 14.0975 12.2929 13.707L6.99992 8.41399L1.70696 13.707C1.31643 14.0975 0.683418 14.0975 0.292893 13.707C-0.0976311 13.3164 -0.0976311 12.6834 0.292893 12.2929L5.58586 6.99992L0.292893 1.70696C-0.0976309 1.31643 -0.0976309 0.683417 0.292893 0.292893C0.683417 -0.097631 1.31643 -0.0976309 1.70696 0.292893L6.99992 5.58586L12.2929 0.292893Z' fill='white'/%3E%3C/svg%3E") no-repeat center center/50%;
}
.SChatBot .bot_hidden .sChatMsg {
  overflow: auto;
  height: 100%;
}
.SChatBot .bot_hidden .sChatMsg > div {
  width: 100%;
  height: 100%;
  min-height: max-content;
  border-radius: 0.8rem;
  padding: 2rem;
}
.SChatBot .bot_hidden .sChatMsg > div.sChatIntro {
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  flex-direction: column;
}
.SChatBot .bot_hidden .sChatMsg > div.sChatIntro .thumb {
  width: 18rem;
  aspect-ratio: 1/1;
  flex-shrink: 0;
  overflow: hidden;
  border-radius: 100%;
  display: block;
  background: linear-gradient(#86b6ff -60%, transparent 70%);
  position: relative;
  margin-bottom: 3rem;
}
.SChatBot .bot_hidden .sChatMsg > div.sChatIntro .thumb img {
  width: 80%;
  position: absolute;
  bottom: -6%;
  left: 50%;
  transform: translateX(-50%);
}
.SChatBot .bot_hidden .sChatMsg > div.sChatIntro p, .SChatBot .bot_hidden .sChatMsg > div.sChatIntro strong {
  font-size: max(1.25vw, 2rem);
  font-family: "Paperlogy", sans-serif;
  font-weight: 600;
  transform: rotate(-0.03deg);
  line-height: 1.2;
}
.SChatBot .bot_hidden .sChatMsg > div.sChatIntro p {
  color: #333333;
}
.SChatBot .bot_hidden .sChatMsg > div.sChatIntro strong {
  color: #4281FF;
}
.SChatBot .bot_hidden .sChatMsg > div.sChatIntro span {
  color: #777777;
  font-size: 1.6rem;
  word-break: keep-all;
  text-wrap-style: pretty;
  line-height: 1.4;
  display: block;
  margin-bottom: 3rem;
}
.SChatBot .bot_hidden .sChatMsg > div.sChatIntro button {
  border: 2px solid #4281FF;
  background: #FFFFFF;
  color: #4281FF;
  gap: 0.6rem;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 1rem 3rem;
  font-weight: 600;
  font-size: max(0.9375vw, 1.6rem);
  transition: all 300ms ease-in-out;
  border-radius: 0.4rem;
}
.SChatBot .bot_hidden .sChatMsg > div.sChatIntro button img {
  max-width: 2rem;
}
.SChatBot .bot_hidden .sChatMsg > div.sChatIntro button:hover {
  background: #ECF2FF;
}
.SChatBot .bot_hidden .sChatMsg > div.sChatIntro button:active, .SChatBot .bot_hidden .sChatMsg > div.sChatIntro button:focus-visible {
  background: #4281FF;
  color: #FFFFFF;
  outline: none;
}
.SChatBot .bot_hidden .sChatMsg > div.sChatIntro button:active img, .SChatBot .bot_hidden .sChatMsg > div.sChatIntro button:focus-visible img {
  filter: brightness(10) sepia(1) invert(0);
}
.SChatBot .bot_hidden .sChatMsg > div.sChatBox .thumb {
  width: 5rem;
  aspect-ratio: 1/1;
  overflow: hidden;
  border-radius: 100%;
  display: block;
  flex-shrink: 0;
  position: relative;
}
.SChatBot .bot_hidden .sChatMsg > div.sChatBox .msg {
  margin-bottom: 2rem;
}
.SChatBot .bot_hidden .sChatMsg > div.sChatBox .msg > div {
  display: flex;
  flex-direction: column;
  gap: 2rem;
}
.SChatBot .bot_hidden .sChatMsg > div.sChatBox .msg > div > p {
  padding-left: 2rem;
  display: flex;
  align-items: center;
  gap: 0.6rem;
  flex-wrap: wrap;
}
.SChatBot .bot_hidden .sChatMsg > div.sChatBox .msg > div > p button.botBtn {
  border: 2px solid #333333;
  background: #FFFFFF;
  color: #333333;
  font-weight: 600;
  font-size: 1.6rem;
  padding: 0.8rem 1.6rem;
  border-radius: 100rem;
  line-height: 1;
}
.SChatBot .bot_hidden .sChatMsg > div.sChatBox .msg > div > p button.botBtn:hover {
  background: #F8F8F8;
}
.SChatBot .bot_hidden .sChatMsg > div.sChatBox .msg > div > p button.botBtn.active {
  background: #333333;
  color: #FFFFFF;
}
.SChatBot .bot_hidden .sChatMsg > div.sChatBox .msg > div > ul {
  display: flex;
  flex-direction: column;
  gap: 1rem;
}
.SChatBot .bot_hidden .sChatMsg > div.sChatBox .msg > div > ul li {
  border-radius: 0.5rem;
}
.SChatBot .bot_hidden .sChatMsg > div.sChatBox .msg.bot {
  display: flex;
  align-items: flex-start;
  gap: 0.4rem;
}
.SChatBot .bot_hidden .sChatMsg > div.sChatBox .msg.bot > div > ul {
  padding-left: 2rem;
}
.SChatBot .bot_hidden .sChatMsg > div.sChatBox .msg.bot > div > ul > li {
  position: relative;
  background: #FFFFFF;
  line-height: 1.4;
  padding: 1rem 1.4rem;
  color: #777777;
  font-size: 1.6rem;
  width: fit-content;
}
.SChatBot .bot_hidden .sChatMsg > div.sChatBox .msg.bot > div > ul > li:has(.sChatItem) {
  width: 100%;
}
.SChatBot .bot_hidden .sChatMsg > div.sChatBox .msg.bot > div > ul > li:first-child::before {
  content: "";
  position: absolute;
  width: 1.1rem;
  height: 1.8rem;
  left: 0;
  top: 50%;
  transform: translate(-100%, -50%);
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='11' height='18' viewBox='0 0 11 18' fill='none'%3E%3Cpath d='M11 0C11 1.10457 10.1046 2 9 2H0.683594C-0.0687656 2.00043 -0.266981 3.02105 0.428711 3.31152C6.27469 5.75567 10.4949 11.353 11 18V0Z' fill='%23ffffff'/%3E%3C/svg%3E");
}
.SChatBot .bot_hidden .sChatMsg > div.sChatBox .msg.user {
  display: flex;
  align-items: flex-start;
  justify-content: flex-end;
  gap: 1rem;
  margin-left: auto;
}
.SChatBot .bot_hidden .sChatMsg > div.sChatBox .msg.user ul {
  padding-top: 2rem;
  padding-right: 2rem;
  align-items: flex-end;
}
.SChatBot .bot_hidden .sChatMsg > div.sChatBox .msg.user ul li {
  position: relative;
  background: #4C81FF;
  line-height: 1.4;
  padding: 1rem 2rem;
  color: #FFFFFF;
  font-size: 1.6rem;
  width: fit-content;
}
.SChatBot .bot_hidden .sChatMsg > div.sChatBox .msg.user ul li:first-child::before {
  content: "";
  position: absolute;
  width: 1.1rem;
  height: 1.8rem;
  right: 0;
  top: 50%;
  transform: translate(100%, -50%);
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='11' height='18' viewBox='0 0 11 18' fill='none'%3E%3Cpath d='M0 18C0 16.8954 0.895431 16 2 16H10.3164C11.0688 15.9996 11.267 14.9789 10.5713 14.6885C4.72531 12.2443 0.505065 6.64703 0 0V18Z' fill='%234C81FF'/%3E%3C/svg%3E");
}
.SChatBot .bot_hidden .sChatMsg > div .sChatItem {
  width: 100%;
}
.SChatBot .bot_hidden .sChatMsg > div .sChatItem > p {
  display: flex;
  align-items: center;
  font-size: max(1.04167vw, 1.8rem);
  gap: 0.4rem;
  font-weight: 500;
  font-family: "Paperlogy", sans-serif;
  color: #4281FF;
  padding: 1.4rem 0;
  margin-bottom: 1.4rem;
  border-bottom: 1px solid #DDDDDD;
}
.SChatBot .bot_hidden .sChatMsg > div .sChatItem > p img {
  width: 2rem;
  position: relative;
  top: -3px;
}
.SChatBot .bot_hidden .sChatMsg > div .sChatItem strong + ul {
  padding-left: 1.2rem;
  margin-top: 0.4rem;
  margin-bottom: 2rem;
}
.SChatBot .bot_hidden .sChatMsg > div .sChatItem strong + ul li {
  display: flex;
  gap: 1rem;
  align-items: baseline;
}
.SChatBot .bot_hidden .sChatMsg > div .sChatItem strong + ul li::before {
  content: "";
  display: block;
  width: 0.4rem;
  border-radius: 1rem;
  aspect-ratio: 1/1;
  flex-shrink: 0;
  position: relative;
  top: -4px;
  background: #777777;
}
.SChatBot .bot_hidden .sChatMsg > div .sChatItem a {
  font-weight: 600;
}
.SChatBot .bot_hidden .sChatMsg > div .sChatItem a::before {
  content: "🔗";
}
.SChatBot .bot_hidden .sChatMsg > div .sChatItem a:hover {
  text-decoration: underline;
  color: #4281FF;
}
.SChatBot .bot_hidden .sChatMsg > div .sChatItem span {
  display: block;
  text-wrap-style: pretty;
  word-break: keep-all;
  color: #777777;
}
.SChatBot .bot_hidden .sChatMsg > div .sChatItem .scBtn {
  display: flex;
  align-items: center;
  gap: 1rem;
  margin-top: 2rem;
  flex-direction: column;
}
.SChatBot .bot_hidden .sChatMsg > div .sChatItem .scBtn button {
  width: 100%;
  font-size: max(0.9375vw, 1.6rem);
  padding: 1.5rem 2rem;
  background: #4281FF;
  color: #FFFFFF;
}
.SChatBot .bot_hidden .sChatMsg > div .sChatItem .scBtn button:hover {
  background: #2E5AB3;
}
.SChatBot .bot_hidden .sChatMsg > div .sChatItem .scBtn button:active {
  background: #123a8b;
}
.SChatBot .bot_hidden .sChatForm {
  position: relative;
}
.SChatBot .bot_hidden .sChatForm input {
  height: 5rem;
}
.SChatBot .bot_hidden .sChatForm button {
  position: absolute;
  padding: 2rem;
  border-radius: 20rem;
  right: 1rem;
  top: 50%;
  transform: translateY(-50%);
  background: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' viewBox='0 0 16 16' fill='none'%3E%3Cpath d='M14.9103 0.054476C15.206 -0.0605052 15.5415 0.00984728 15.7658 0.234167C15.9902 0.458488 16.0605 0.793989 15.9455 1.08965L10.3454 15.49C10.2336 15.7774 9.96695 15.9749 9.65945 15.9978C9.3519 16.0206 9.05854 15.8648 8.90553 15.597L5.81327 10.1859L0.402997 7.09447C0.135231 6.94146 -0.0206329 6.6481 0.00220712 6.34055C0.0250958 6.03306 0.222643 5.76636 0.510031 5.6546L14.9103 0.054476ZM7.39768 9.73359L9.46257 13.347L13.0759 4.05456L7.39768 9.73359ZM2.65227 6.53665L6.26641 8.60232L11.9447 2.92329L2.65227 6.53665Z' fill='%23D2D2DB'/%3E%3C/svg%3E") no-repeat center center/50%;
  width: 2rem;
  height: 2rem;
}